Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class DatabaseEntry

    java.lang.Object
      com.beanexplorer.beans.DynamicPropertySetSupport
          ru.biosoft.access.support.DatabaseEntry

All Implemented Interfaces:
  DataElement, com.beanexplorer.beans.DynamicPropertySet, MutableDataElement

public class DatabaseEntry
extends com.beanexplorer.beans.DynamicPropertySetSupport
implements MutableDataElement

General class allowing to present (wrap) the database `Entry` as `DynamicPropertySetSupport`

Field Summary

Fields inherited from class com.beanexplorer.beans.DynamicPropertySetSupport
`properties, propHash`

Constructor Summary
`DatabaseEntry(DataCollection origin, java.lang.String name, Entry entry)`

Method Summary
`Entry` | `getEntry()`
`java.lang.String` | `getName()` Returns a unique name of the data element.
`DataCollection` | `getOrigin()` Returns the collection this element belongs to.

Methods inherited from class com.beanexplorer.beans.DynamicPropertySetSupport
`add, add, addProperty, addProperty, addPropertyChangeListener, addPropertyChangeListener, asMap, contains, findProperty, firePropertyChange, firePropertyChange, getProperty, getPropertyDescriptor, getType, getValue, hasListeners, nameIterator, propertyIterator, remove, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### DatabaseEntry

    public DatabaseEntry(DataCollection origin,
                         java.lang.String name,
                         Entry entry)

Method Detail

### getEntry

    public Entry getEntry()

### getName

    public java.lang.String getName()

  Description copied from interface: `DataElement`
  Returns a unique name of the data element.

  Specified by:
    `getName` in interface `DataElement`
  Returns:
    A unique name of the data element.

### getOrigin

    public DataCollection getOrigin()

  Description copied from interface: `DataElement`
  Returns the collection this element belongs to. Since the element can be contained in several collections this should return application-specific main parent collection.

  Specified by:
    `getOrigin` in interface `DataElement`
  See Also:
    `DataCollection`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.